6.0.0-git
2021-01-18

[#13124] CardDav access results in 'HTTP/1.0 501 Not Implemented'
Summary CardDav access results in 'HTTP/1.0 501 Not Implemented'
Queue Horde Base
Queue Version 5.1.6
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester horde (at) t-8ch (dot) de
Created 2014-04-18 (2467 days ago)
Due
Updated 2014-04-22 (2463 days ago)
Assigned
Resolved 2014-04-22 (2463 days ago)
Milestone 5.1.7
Patch Yes

History
2014-04-22 11:16:56 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 295eebd43944259cc6b2560d887d5ceda03ba8e1
Author: Jan Schneider <jan@horde.org>
Date:   Tue Apr 22 13:11:02 2014 +0200

     [jan] Detect REPORT queries as DAV requests in RPC server (Bug #13124).

     Conflicts:
             horde/docs/CHANGES
             horde/package.xml

  horde/package.xml |    2 ++
  horde/rpc.php     |    2 +-
  2 files changed, 3 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/295eebd43944259cc6b2560d887d5ceda03ba8e1
2014-04-22 11:13:05 Jan Schneider Version ⇒ 5.1.6
Queue ⇒ Horde Base
 
2014-04-22 11:12:29 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 5.1.7
 
2014-04-22 11:11:51 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit c8f1815a7eea6bedb64d36ca7ab0a97eee8901db
Author: Jan Schneider <jan@horde.org>
Date:   Tue Apr 22 13:11:02 2014 +0200

     [jan] Detect REPORT queries as DAV requests in RPC server (Bug #13124).

  horde/docs/CHANGES |    1 +
  horde/package.xml  |    2 ++
  horde/rpc.php      |    2 +-
  3 files changed, 4 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/c8f1815a7eea6bedb64d36ca7ab0a97eee8901db
2014-04-18 12:00:50 horde (at) t-8ch (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ CardDav access results in 'HTTP/1.0 501 Not Implemented'
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: horde_report_method.patch Download
Reply to this comment
CardDav uses the 'REPORT' http method:

From the docs of sabredav, which is used by Horde:
(http://sabre.io/dav/building-a-carddav-client/)

     Now we download every single object in this addressbook. To do 
this, we use a REPORT method.

     REPORT /addressbooks/johndoe/contacts/ HTTP/1.1
     Depth: 1
     Prefer: return-minimal
     Content-Type: application/xml; charset=utf-8
     ...

Saved Queries